Ticket #1505 (closed defect: fixed)

Opened 9 years ago

Last modified 9 years ago

サイドバナーで<cmd>形式の小窓が動作していない

Reported by: kiwa Assigned to: ebihara
Priority: critical Milestone: OpenPNE2.10.2
Component: pne-cmd Version: 2.8.x & 2.10.x & 2.11.x
Keywords: OpenPNE2.8.7 OpenPNE2.11.2 Cc:

Description (Last modified by ebihara)

■現象

サイドバナーにCMDが表示されない(URLCMDは表示される)

■原因

smarty:nodefaultsが有効な箇所ではt_cmdの以下の正規表現にマッチしなくなるのが原因。

$regexp = '/&lt;cmd\s+src=&quot;(\w+)&quot;(?:\s+args=&quot;([a-zA-Z0-9_\-+%]+(,[a-zA-Z0-9_\-+%]+)*)?&quot;)?\s*&gt;/i';

■修正内容

smarty:nodefaultsが有効な箇所でもマッチするよう、HTMLエンティティに変換されたものと変換されていないものの両方をチェックするように変更。

$regexp = '/(&lt;|<)cmd\s+src=(&quot;|"|\')(\w+)(&quot;|"|\')(?:\s+args=(&quot;|"|\')([a-zA-Z0-9_\-+%]+(,[a-zA-Z0-9_\-+%]+)*)(&quot;|"|\'))?\s*(&gt;|>)/i'; 

■関連情報

Change History

12/07/07 22:07:44 changed by kiwa

  • priority changed from minor to critical.

12/11/07 17:20:45 changed by kiwa

  • milestone set to OpenPNE2.10.2.

12/11/07 18:13:40 changed by kiwa

  • keywords set to OpenPNE2.8.7.
  • description changed.

12/12/07 10:45:48 changed by ogawa

  • summary changed from サイドバナーで小窓が動作していない to サイドバナーで<cmd>形式の小窓が動作していない.

12/12/07 15:51:08 changed by yamaji

  • owner changed from nobody to yamaji.
  • status changed from new to assigned.

バグ取り始めます

12/13/07 14:23:06 changed by kunitada

  • owner changed from yamaji to nobody.
  • status changed from assigned to new.

すいません、手放します。

12/13/07 15:47:25 changed by ebihara

  • owner changed from nobody to ebihara.
  • status changed from new to assigned.

やります。

12/13/07 17:07:02 changed by ebihara

  • keywords changed from OpenPNE2.8.7 to OpenPNE2.8.7 確認中.
  • owner changed from ebihara to ogawa.
  • status changed from assigned to new.
  • description changed.

以下のリビジョンで修正しました。smarty:nodefaultsが有効な箇所ではt_cmdの正規表現にマッチしなくなるのが原因でした。

  • 2.8.x - r4681
  • 2.10.x - r4680
  • trunk - r4684 (なぜか取り消されているr4331の変更も取り込みました)

Descriptionの「■原因」「■修正内容」を更新しました。

ご確認ください。

12/13/07 20:22:46 changed by ogawa

  • keywords changed from OpenPNE2.8.7 確認中 to OpenPNE2.8.7.
  • owner changed from ogawa to ebihara.

&quot;|"|\'

だと中途半端です。

12/13/07 21:22:14 changed by ebihara

  • status changed from new to assigned.

既存のコードにあわせて、ダブルクォーテーションのみの対応とします。

12/13/07 21:46:31 changed by ebihara

  • keywords changed from OpenPNE2.8.7 to OpenPNE2.8.7 確認中.
  • owner changed from ebihara to ogawa.
  • status changed from assigned to new.

以下のリビジョンで修正しました。

12/14/07 22:39:02 changed by ogawa

  • keywords changed from OpenPNE2.8.7 確認中 to OpenPNE2.8.7 テスト待ち.
  • owner changed from ogawa to ebihara.

テスト待ち。

12/19/07 17:00:40 changed by kiwa

  • status changed from new to closed.
  • resolution set to fixed.

動作テストしました。OKです。

12/19/07 17:04:22 changed by kiwa

  • keywords changed from OpenPNE2.8.7 テスト待ち to OpenPNE2.8.7.

12/25/07 14:57:40 changed by kiwa

  • keywords changed from OpenPNE2.8.7 to OpenPNE2.8.7 OpenPNE2.11.2.